Foxit PDF Conversion SDK

Public Member Functions | Public Attributes | List of all members
foxit::conversion::office2pdf::Word2PDFSettingData Class Reference

Inherits Object.

## Public Member Functions
| Word2PDFSettingData ()
| Constructor.
| Word2PDFSettingData (bool is_generate_bookmark)
| Constructor, with parameters. More...
Word2PDFSettingData & | operator= (const Word2PDFSettingData &data)
| Assign operator. More...
void | Set (bool is_generate_bookmark)
| Set value. More...

## Public Attributes
bool | is_generate_bookmark
| A boolean value which indicates whether to export bookmarks to converted PDF file. More...

## Detailed Description

This class represents setting data used for converting Word format files to PDF format files.

## Constructor & Destructor Documentation

## ◆ Word2PDFSettingData()

foxit::conversion::office2pdf::Word2PDFSettingData::Word2PDFSettingData | ( | bool | is_generate_bookmark | ) |
| inline

Constructor, with parameters.

Parameters

  [in] | is_generate_bookmark | A boolean value which indicates whether to export bookmarks to converted PDF file.

## Member Function Documentation

## ◆ operator=()

Word2PDFSettingData& foxit::conversion::office2pdf::Word2PDFSettingData::operator= | ( | const Word2PDFSettingData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another Word-to-PDF setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ Set()

void foxit::conversion::office2pdf::Word2PDFSettingData::Set | ( | bool | is_generate_bookmark | ) |
| inline

Set value.

Parameters

  [in] | is_generate_bookmark | A boolean value which indicates whether to export bookmarks to converted PDF file.

Returns
  None.

## Member Data Documentation

## ◆ is_generate_bookmark

bool foxit::conversion::office2pdf::Word2PDFSettingData::is_generate_bookmark

A boolean value which indicates whether to export bookmarks to converted PDF file.

true means to export bookmarks to converted PDF file, while false means not. Default value: false.